## org.apache.lucene.benchmark.utils
Class ExtractReuters

    java.lang.Object
      org.apache.lucene.benchmark.utils.ExtractReuters

    public class ExtractReuters

extends java.lang.Object

Split the Reuters SGML documents into Simple Text files containing: Title, Date, Dateline, Body

Constructor Summary
`ExtractReuters(java.io.File reutersDir, java.io.File outputDir)`

Method Summary
`void` `extract()`
`protected void` `extractFile(java.io.File sgmFile)` Override if you wish to change what is extracted
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractReuters

    public ExtractReuters(java.io.File reutersDir,
                          java.io.File outputDir)

Method Detail

### extract

    public void extract()

### extractFile

    protected void extractFile(java.io.File sgmFile)

  Override if you wish to change what is extracted

  Parameters:
    `sgmFile` -

### main

    public static void main(java.lang.String[] args)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.